<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.18) on Tue Mar 28 15:08:33 CEST 2023 -->
<title>Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-03-28">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:W">W</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="WeekEnd.html#ajouteDepense(double,java.lang.String,java.lang.String)">ajouteDepense(double, String, String)</a></span> - Method in class <a href="WeekEnd.html" title="class in &lt;Unnamed&gt;">WeekEnd</a></dt>
<dd>
<div class="block">permet d'ajouter une dépense à la liste de dépenses</div>
</dd>
<dt><span class="memberNameLink"><a href="WeekEnd.html#ajouteParticipant(java.lang.String,int)">ajouteParticipant(String, int)</a></span> - Method in class <a href="WeekEnd.html" title="class in &lt;Unnamed&gt;">WeekEnd</a></dt>
<dd>
<div class="block">permet d'ajouter un participant à la liste de participants</div>
</dd>
<dt><span class="memberNameLink"><a href="WeekEnd.html#avoirPersonne(Personne)">avoirPersonne(Personne)</a></span> - Method in class <a href="WeekEnd.html" title="class in &lt;Unnamed&gt;">WeekEnd</a></dt>
<dd>
<div class="block">permet de calculer l'avoir d'une personne pour savoir si une personne doit être remboursée ou si elle doit rembourser les autres</div>
</dd>
</dl>
<a id="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><a href="Depense.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Depense</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Depense.html#%3Cinit%3E(Personne,double,java.lang.String)">Depense(Personne, double, String)</a></span> - Constructor for class <a href="Depense.html" title="class in &lt;Unnamed&gt;">Depense</a></dt>
<dd>
<div class="block">permet de créer une dépense</div>
</dd>
</dl>
<a id="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="Personne.html#equals(java.lang.Object)">equals(Object)</a></span> - Method in class <a href="Personne.html" title="class in &lt;Unnamed&gt;">Personne</a></dt>
<dd>
<div class="block">permet de comparer deux personnes</div>
</dd>
<dt><a href="ExecutableWeekEnd.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">ExecutableWeekEnd</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ExecutableWeekEnd.html#%3Cinit%3E()">ExecutableWeekEnd()</a></span> - Constructor for class <a href="ExecutableWeekEnd.html" title="class in &lt;Unnamed&gt;">ExecutableWeekEnd</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="Personne.html#getAge()">getAge()</a></span> - Method in class <a href="Personne.html" title="class in &lt;Unnamed&gt;">Personne</a></dt>
<dd>
<div class="block">permet d'obtenir l'âge d'une personne</div>
</dd>
<dt><span class="memberNameLink"><a href="Depense.html#getMontant()">getMontant()</a></span> - Method in class <a href="Depense.html" title="class in &lt;Unnamed&gt;">Depense</a></dt>
<dd>
<div class="block">permet d'obtenir le montant de la dépense</div>
</dd>
<dt><span class="memberNameLink"><a href="Personne.html#getNom()">getNom()</a></span> - Method in class <a href="Personne.html" title="class in &lt;Unnamed&gt;">Personne</a></dt>
<dd>
<div class="block">permet d'obtenir le prénom d'une personne</div>
</dd>
<dt><span class="memberNameLink"><a href="Depense.html#getPayeur()">getPayeur()</a></span> - Method in class <a href="Depense.html" title="class in &lt;Unnamed&gt;">Depense</a></dt>
<dd>
<div class="block">peremt d'obtenir le payeur</div>
</dd>
<dt><span class="memberNameLink"><a href="Depense.html#getProduit()">getProduit()</a></span> - Method in class <a href="Depense.html" title="class in &lt;Unnamed&gt;">Depense</a></dt>
<dd>
<div class="block">permet d'obtenir le produit de la dépense</div>
</dd>
</dl>
<a id="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="ExecutableWeekEnd.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class <a href="ExecutableWeekEnd.html" title="class in &lt;Unnamed&gt;">ExecutableWeekEnd</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><a href="Personne.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Personne</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Personne.html#%3Cinit%3E(java.lang.String,int)">Personne(String, int)</a></span> - Constructor for class <a href="Personne.html" title="class in &lt;Unnamed&gt;">Personne</a></dt>
<dd>
<div class="block">permet de créer une personne</div>
</dd>
</dl>
<a id="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="Personne.html#toString()">toString()</a></span> - Method in class <a href="Personne.html" title="class in &lt;Unnamed&gt;">Personne</a></dt>
<dd>
<div class="block">permet d'écrire les informations d'une personne</div>
</dd>
<dt><span class="memberNameLink"><a href="WeekEnd.html#totalDepense()">totalDepense()</a></span> - Method in class <a href="WeekEnd.html" title="class in &lt;Unnamed&gt;">WeekEnd</a></dt>
<dd>
<div class="block">permet de calculer l'argent qui a été dépensé par tous les participants du week-end</div>
</dd>
<dt><span class="memberNameLink"><a href="WeekEnd.html#totalDepense(java.lang.String)">totalDepense(String)</a></span> - Method in class <a href="WeekEnd.html" title="class in &lt;Unnamed&gt;">WeekEnd</a></dt>
<dd>
<div class="block">permet de calculer l'argent total dépensé pour l'achat d'un produit en particulier</div>
</dd>
<dt><span class="memberNameLink"><a href="WeekEnd.html#totalDepense(Personne)">totalDepense(Personne)</a></span> - Method in class <a href="WeekEnd.html" title="class in &lt;Unnamed&gt;">WeekEnd</a></dt>
<dd>
<div class="block">permet de calculer les dépenses totales d'une personne lors du week-end</div>
</dd>
</dl>
<a id="I:W">
<!--   -->
</a>
<h2 class="title">W</h2>
<dl>
<dt><a href="WeekEnd.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">WeekEnd</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="WeekEnd.html#%3Cinit%3E(java.lang.String)">WeekEnd(String)</a></span> - Constructor for class <a href="WeekEnd.html" title="class in &lt;Unnamed&gt;">WeekEnd</a></dt>
<dd>
<div class="block">permet de créer un week-end</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:W">W</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
